const fs = require('fs');
const easelDefPath = 'node_modules/@types/easeljs/index.d.ts';

module.exports = class {
  run() {
    fs.readFile(easelDefPath, 'UTF-8', (err, defContent) => {
      if (err) {
        console.log('EaselJS types not found');
        process.exit(1);
      }
      defContent = defContent.replace(/clone\(\):[^\n]+/g, 'clone(): any;');
      defContent = defContent.replace(/contains\(x:[^\n]+/g, '');

      fs.writeFileSync(easelDefPath, defContent);
      console.log('Fixed');
    });
  }
}
